Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree
Class SoapUITreeModel

    java.lang.Object
      com.eviware.soapui.model.tree.SoapUITreeModel

All Implemented Interfaces:
  javax.swing.tree.TreeModel

    public class SoapUITreeModel

extends java.lang.Object
implements javax.swing.tree.TreeModel

The Navigator TreeModel

Author:
  Ole.Matzura

Constructor Summary
`SoapUITreeModel(Workspace workspace)`

Method Summary
`void` | `addTreeModelListener(javax.swing.event.TreeModelListener l)`
`java.lang.Object` | `getChild(java.lang.Object parent, int index)`
`int` | `getChildCount(java.lang.Object parent)`
`int` | `getIndexOfChild(java.lang.Object parent, java.lang.Object child)`
`javax.swing.tree.TreePath` | `getPath(ModelItem modelItem)`
`javax.swing.tree.TreePath` | `getPath(SoapUITreeNode treeNode)`
`java.lang.Object` | `getRoot()`
`SoapUITreeNode` | `getTreeNode(ModelItem parentItem)`
`boolean` | `isLeaf(java.lang.Object node)`
`void` | `mapModelItem(SoapUITreeNode soapUITreeNode)`
`void` | `mapModelItems(java.util.List<? extends SoapUITreeNode> treeNodes)`
`void` | `notifyNodeChanged(SoapUITreeNode treeNode)`
`void` | `notifyNodeInserted(SoapUITreeNode treeNode)`
`void` | `notifyNodeRemoved(SoapUITreeNode treeNode)`
`void` | `notifyNodesChanged(javax.swing.event.TreeModelEvent e)`
`void` | `notifyNodesInserted(javax.swing.event.TreeModelEvent e)`
`void` | `notifyNodesRemoved(javax.swing.event.TreeModelEvent e)`
`void` | `notifyStructureChanged(javax.swing.event.TreeModelEvent e)`
`void` | `removeTreeModelListener(javax.swing.event.TreeModelListener l)`
`void` | `unmapModelItem(ModelItem modelItem)`
`void` | `valueForPathChanged(javax.swing.tree.TreePath path, java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapUITreeModel

    public SoapUITreeModel(Workspace workspace)

Method Detail

### getRoot

    public java.lang.Object getRoot()

  Specified by:
    `getRoot` in interface `javax.swing.tree.TreeModel`

### getChild

    public java.lang.Object getChild(java.lang.Object parent,
                                     int index)

  Specified by:
    `getChild` in interface `javax.swing.tree.TreeModel`

### getChildCount

    public int getChildCount(java.lang.Object parent)

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeModel`

### isLeaf

    public boolean isLeaf(java.lang.Object node)

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeModel`

### valueForPathChanged

    public void valueForPathChanged(javax.swing.tree.TreePath path,
                                    java.lang.Object newValue)

  Specified by:
    `valueForPathChanged` in interface `javax.swing.tree.TreeModel`

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object parent,
                               java.lang.Object child)

  Specified by:
    `getIndexOfChild` in interface `javax.swing.tree.TreeModel`

### addTreeModelListener

    public void addTreeModelListener(javax.swing.event.TreeModelListener l)

  Specified by:
    `addTreeModelListener` in interface `javax.swing.tree.TreeModel`

### removeTreeModelListener

    public void removeTreeModelListener(javax.swing.event.TreeModelListener l)

  Specified by:
    `removeTreeModelListener` in interface `javax.swing.tree.TreeModel`

### mapModelItem

    public void mapModelItem(SoapUITreeNode soapUITreeNode)

### unmapModelItem

    public void unmapModelItem(ModelItem modelItem)

### notifyNodesInserted

    public void notifyNodesInserted(javax.swing.event.TreeModelEvent e)

### notifyNodesRemoved

    public void notifyNodesRemoved(javax.swing.event.TreeModelEvent e)

### notifyStructureChanged

    public void notifyStructureChanged(javax.swing.event.TreeModelEvent e)

### notifyNodesChanged

    public void notifyNodesChanged(javax.swing.event.TreeModelEvent e)

### getPath

    public javax.swing.tree.TreePath getPath(SoapUITreeNode treeNode)

### notifyNodeChanged

    public void notifyNodeChanged(SoapUITreeNode treeNode)

### notifyNodeInserted

    public void notifyNodeInserted(SoapUITreeNode treeNode)

### notifyNodeRemoved

    public void notifyNodeRemoved(SoapUITreeNode treeNode)

### getTreeNode

    public SoapUITreeNode getTreeNode(ModelItem parentItem)

### getPath

    public javax.swing.tree.TreePath getPath(ModelItem modelItem)

### mapModelItems

    public void mapModelItems(java.util.List<? extends SoapUITreeNode> treeNodes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.